Package commonj.sdo.helper

# Interface DataFactory

public interface DataFactory
A Factory for creating DataObjects. The created DataObjects are not connected to any other DataObjects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DataFactory`
`INSTANCE`
The default DataFactory.

## Method Summary

Modifier and Type
Method
Description
`DataObject`
`create(Type type)`
Create a DataObject of the Type specified.
`DataObject`
`create(Class interfaceClass)`
Create a DataObject supporting the given interface.
`DataObject`
`create(String uri, String typeName)`
Create a DataObject of the Type specified by typeName with the given package uri.

## Field Details

### INSTANCE

static final DataFactory INSTANCE
The default DataFactory.

## Method Details

### create

DataObject create(String uri, String typeName)
Create a DataObject of the Type specified by typeName with the given package uri.

Parameters:
  `uri` - The uri of the Type.
  `typeName` - The name of the Type.
Returns:
  the created DataObject.
Throws:
  `IllegalArgumentException` - if the uri and typeName does not correspond to a Type this factory can instantiate.

### create

DataObject create(Class interfaceClass)
Create a DataObject supporting the given interface. InterfaceClass is the interface for the DataObject's Type. The DataObject created is an instance of the interfaceClass.

Parameters:
  `interfaceClass` - is the interface for the DataObject's Type.
Returns:
  the created DataObject.
Throws:
  `IllegalArgumentException` - if the instanceClass does not correspond to a Type this factory can instantiate.

### create

DataObject create(Type type)
Create a DataObject of the Type specified.

Parameters:
  `type` - The Type.
Returns:
  the created DataObject.
Throws:
  `IllegalArgumentException` - if the Type cannot be instantiaed by this factory.